Security Enhanced Linux Reference Policy

# Layer: system

## Module: fstools

Interfaces

### Description:

Tools for filesystem management, such as mkfs and fsck.

### Interfaces:

fstools_domtrans( domain )

##### Summary

Execute fs tools in the fstools domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

fstools_dontaudit_getattr_swap_files( domain )

##### Summary

Ignore access to a swapfile.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

fstools_exec( domain )

##### Summary

Execute fsadm in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fstools_getattr_swap_files( domain )

##### Summary

Getattr swapfile

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fstools_manage_entry_files( domain )

##### Summary

Create, read, write, and delete a file used by the filesystem tools programs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fstools_manage_runtime_files( domain )

##### Summary

Create, read, write, and delete filesystem tools runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fstools_manage_swap_files( domain )

##### Summary

Manage swapfile.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fstools_read_pipes( domain )

##### Summary

Read fstools unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fstools_relabelto_entry_files( domain )

##### Summary

Relabel a file to the type used by the filesystem tools programs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fstools_relabelto_swap_files( domain )

##### Summary

Relabel to swapfile.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fstools_run( domain , role )

##### Summary

Execute fs tools in the fstools domain, and allow the specified role the fs tools domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

fstools_signal( domain )

##### Summary

Send signal to fsadm process

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fstools_use_fds( domain )

##### Summary

Inherit fstools file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

fstools_write_log( domain )

##### Summary

Write to fsadm_log_t

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return